BBG Bugs - Bug #2656

BBG Mobile tidak bisa diakses untuk user karena memakai LDAP
03/20/2024 10:26 AM - Muhammad Bintar

Status: Closed Start date: 03/20/2024
Priority: Immediate Due date: 04/05/2024
Assignee: shofwan shiddiq % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 8.00 hours
Description

dear tim developer mohon support nya untuk developing terkait apimobile dimana saat ini untuk user yang pakai LDAP itu tidak bisa
login.

contoh username nya adi.priyono
password Aprie1234@

berikut catatan nya dari tim IT BBG

History

#1 - 03/20/2024 03:01 PM - Kezia Pawitra Yulianti
- Status changed from New to Assigned

- Priority changed from Normal to High

#2 - 03/23/2024 12:56 PM - shofwan shiddiq

- Assignee changed from shofwan shiddiq to Muhammad Bintar

Dear Mas Bintar, tolong di buatkan windows server Idap nya dulu ya, yang bisa di akses di local pc nya BBG dev Supaya bisa di akses oleh API
mobile bbg untuk tester.

#3 - 04/02/2024 03:28 PM - Kezia Pawitra Yulianti
- Due date changed from 03/27/2024 to 04/05/2024
- Assignee changed from Muhammad Bintar to shofwan shiddiq

- Priority changed from High to Immediate

sesuai diskusi pagi, untuk server LDAP tidak eprlu di buatkan lagi ya d port Minova.
Hari ini sudah bs akses vpn Igs kesana untuk akses ke Idapnya.
Tolong update hasil nya gimana dan apa selanjutnya yg harus di develop ya Aa sesuai hasil ngoprek siang ini.

Tks

#4 - 04/02/2024 03:39 PM - shofwan shiddiq

- File clipboard-202404021533-mowaz.png added

- Assignee changed from shofwan shiddiq to Kezia Pawitra Yulianti
Akses ke Server LDAP BBG Pake VPN

Username: minova.hris

Password: L#&yt6wQ
Server: server.bbg.co.id
Connection properties

Connection name VPN BBG
Server name or address

Type of sign-in info

Username (optional)

Password (optional)

Network profile type

0 Public network (Recommended)

Your device is not discoverable on the network. Use this in most cases—when connected to a network at home, work, or in a public place.

) Private network
Your device is discoverable on the network. Select this if you need file sharing or use apps that communicate over this network. You should know and trust the
people and devices on the network.

Configure firewall and security settings

Clear sign-in info

Key di web config:

<add key="BASE_LDAP_DOMAIN" valug="*****"/>

<add key="BASE_LDAP_PATH_ENTRY" value="LDAP://Idap.bbgemilang.co.id:389/uid=@username,ou=Users,dc=bbgemilang,dc=co,dc=id"/>
<add key="BASE_LDAP_USERNAME_PATTERN" value="uid=@username,ou=Users,dc=bbgemilang,dc=co,dc=id"/>

<add key="BASE_LDAP_USER_SEARCH_FILTER" value="(uid=@username)"/>

Akses ke API Mobile:
AuthController => api/Auth/Login
json: {"Username":"minova.hris","Password":"L#&yt6wQ"}

Perlu di tambahkan authorization di AuthController untuk akses ke Ldap Server seperti yg sudah berjalan di BBG Web, kemudian dari end point
api/Auth/Login di Api mobile perlu mendapatkan return success/fail sesaui isi data di Idap server, dengan format login sukses pada umumnya.

Contoh: {
"data": {
"client|D": null,
"userID": null,

"userName": "captain",

"fullName": "captain”,

"nick": null,

"ldapID": null,

"token": "OEL3ICzVar//BscGQLYqlQ==",
"langld": null,

"employeelD": null,

"email": "",

"profilePictureUrl": "http:/localhost:17487/UserProfile/GetimageFromByteArray/captain”,
"useSSO": false

|3

"acknowledge": 3,

"message": "Login success",

"version": "1.0",

"build": "0",

"accessToken": null

}

#5 - 04/02/2024 03:52 PM - Kezia Pawitra Yulianti

- Assignee changed from Kezia Pawitra Yulianti to M Azid Wahyudi

dear Azid,
boleh tolong d bantu untuk Idap mobile ini.
Tks

#6 - 04/23/2024 04:12 PM - M Azid Wahyudi
- Status changed from Assigned to QA Test
- Assignee changed from M Azid Wahyudi to shofwan shiddiq
dear shofwan , untuk LDAP ini udah bisa ya

makasih

#7 - 04/24/2024 10:32 AM - shofwan shiddiq
- Status changed from QA Test to Closed
